Show / Hide Table of Contents

# Class BeforeSslAuthenticateEventArgs

This is used in transparent endpoint before authenticating client.

##### Inheritance

Object
BeforeSslAuthenticateEventArgs

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class BeforeSslAuthenticateEventArgs : ProxyEventArgsBase

### Properties

| Improve this Doc View Source

#### DecryptSsl

Should we decrypt the SSL request? If true we decrypt with fake certificate. If false we relay the connection to the hostname mentioned in SniHostname.

##### Declaration

    public bool DecryptSsl { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### SniHostName

The server name indication hostname if available. Otherwise the generic certificate hostname of TransparentEndPoint.

##### Declaration

    public string SniHostName { get; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

| Improve this Doc View Source

#### TerminateSession()

Terminate the request abruptly by closing client/server connections.

##### Declaration

    public void TerminateSession()